var whpParentWindow;
var origin;

var frameHeightManager = {
    getCurrentHeight: function()
    {
        var currentHeight = 0;

        if (typeof(window.innerWidth) == 'number') {
            currentHeight = window.innerHeight;
        } else if (document.documentElement && document.documentElement.clientHeight) {
            currentHeight = document.documentElement.clientHeight;
        } else if (document.body && document.body.clientHeight) {
            currentHeight = document.body.clientHeight;
        }

        return currentHeight;
    },

    syncHeight: function()
    {
        var actualHeight = Math.max(document.body.scrollHeight, document.body.offsetHeight);
        var currentHeight = this.getCurrentHeight();

        if (undefined !== whpParentWindow && Math.abs(actualHeight - currentHeight) > 20) {
            whpParentWindow.postMessage({
                command: 'resizeFrame',
                height: actualHeight
            }, origin);
        }
    }

};

function receiveWhpMessage(event)
{
    if ('whpShowEmbeddedFrame' === event.data.command) {
        whpParentWindow = event.source;
        frameHeightManager.syncHeight();
    }
}

function sendUnloadWhpFrameMessage()
{
    if (undefined === whpParentWindow) {
        return;
    }
    whpParentWindow.postMessage({command: 'unloadFrame'}, origin);
}

Jsw.onReady(function() {
    if ($('whp_parent_frame_origin') && $('whp_parent_frame_origin').content) {
        origin = $('whp_parent_frame_origin').content;
        if (window.addEventListener) {
            window.addEventListener('message', receiveWhpMessage, false);
            window.addEventListener('beforeunload', sendUnloadWhpFrameMessage, false);
        } else {
            window.attachEvent('onMessage', receiveWhpMessage);
            window.attachEvent('onBeforeUnload', sendUnloadWhpFrameMessage);
        }

        setInterval(function () {
            frameHeightManager.syncHeight()
        }, 300);
    }
});
